Subject: Re: bug#14333: 24.3.50; Emacs hangs when trying to exit

From: Dani Moncayo <[email-masked]>
Date: Wed, 11 Sep 2013 16:20:41 +0200

> This is a different problem, at least judging by the call stack.  And
> I have no idea what is going on here, especially since this:
>
>   ntdll.dll!RtlFreeHeap+0x7e
>   emacs.exe+0x137e   - ??:0
>   emacs.exe+0xdb4ce  - ?? at cygming-crtbegin.c:0
>   emacs.exe+0x16be6c - shut_down_emacs at emacs.c:1916
>
> doesn't make any sense, as line 1916 of emacs.c is the opening brace
> of shut_down_emacs, so it cannot call anything.

I see.  I wonder if my translation of those memory addresses was correct.

This time I've done such translation by putting the hexadecimal values
in a file, adding "0x1000000" to each one, and feeding the resulting
file to "addr2line".

-- 
Dani Moncayo